Bug 173206 - kernel dm snapshot: bio_list_merge fix
kernel dm snapshot: bio_list_merge fix
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alasdair Kergon
Brian Brock
:
Depends On:
Blocks: 168429
  Show dependency treegraph
 
Reported: 2005-11-14 18:03 EST by Alasdair Kergon
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 15:47:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alasdair Kergon 2005-11-14 18:03:59 EST
Deadlocking, due to the fact that the origin_bios list
was NULL on all of the exceptions.

 [<00000000002958d8>] __flush_bios+0xcc/0x144
 [<0000000000296032>] pending_complete+0xaa/0x2ec
 [<00000000002974da>] persistent_commit+0x1b2/0x1d0
 [<00000000002942f8>] run_complete_job+0x48/0x58
 [<00000000002946e2>] process_jobs+0x22/0x13c
 [<000000000029481c>] do_work+0x20/0x48
 [<000000000012a188>] worker_thread+0x178/0x228
 [<000000000012f732>] kthread+0x122/0x128
 [<0000000000104f8a>] kernel_thread_starter+0x6/0xc
 [<0000000000104f84>] kernel_thread_starter+0x0/0xc
Comment 1 Alasdair Kergon 2005-11-15 12:27:38 EST
dm-snapshot-bio_list-fix.patch
Comment 6 Red Hat Bugzilla 2006-03-07 15:47:42 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0132.html

Note You need to log in before you can comment on or make changes to this bug.